Name:           aasaver
Version:        0.3.2
Release:        1%{?dist}
Summary:        A screensaver for KDE which presents an ASCII aquarium
Group:          Amusements/Graphics
License:        GPLv2+
URL:            http://www.kde-apps.org/content/show.php/KDE+Asciiquarium?content=29207
# Actual source URL is:
# http://www.kde-apps.org/content/download.php?content=29207
Source0:        29207-%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  kdebase-devel
BuildRequires:  scons
Requires:       xscreensaver-base

%description
KDE Asciiquarium is a KDE screensaver based on Kirk Baucom's fabulous
asciiquarium program (http://www.robobunny.com/projects/asciiquarium/). It's a
simulation of an animated ocean scene using ASCII art.


%prep
%setup -q
sed -i 's|rpath||' SConstruct


%build
export CFLAGS="%{optflags}"
# Not a true configure script
./configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}/usr


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_bindir}/asciiquarium.kss
%{_datadir}/applnk/System/ScreenSavers/asciiquarium.desktop
%config(noreplace) %{_datadir}/config.kcfg/asciiquarium.kcfg


%changelog
* Sun Sep 30 2007 Ian Chapman <packages[AT]amiga-hardware.com> 0.3.2-1
- Initial release